xcb_randr_set_crtc_transform(3)

NAME
xcb_randr_set_crtc_transform -

SYNOPSIS
#include <xcb/randr.h>

  Request function

xcb_void_cookie_t xcb_randr_set_crtc_transform(xcb_connection_t *conn, xcb_randr_crtc_t crtc, xcb_render_transform_t transform, uint16_t filter_len, const char *filter_name, uint32_t filter_params_len, const xcb_render_fixed_t *filter_params);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

crtc
    TODO: NOT YET DOCUMENTED.

transform
    TODO: NOT YET DOCUMENTED.

filter_len
    TODO: NOT YET DOCUMENTED.

filter_name
    TODO: NOT YET DOCUMENTED.

filter_params_len
    TODO: NOT YET DOCUMENTED.

filter_params
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_randr_set_crtc_transform_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from randr.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.